org.keycloak.constants

## Interface ServiceUrlConstants

-     public interface ServiceUrlConstants

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_SERVICE_PATH`
    `static String` | `AUTH_PATH`
    `static String` | `AUTHZ_DISCOVERY_URL`
    `static String` | `CLIENTS_MANAGEMENT_REGISTER_NODE_PATH`
    `static String` | `CLIENTS_MANAGEMENT_UNREGISTER_NODE_PATH`
    `static String` | `DISCOVERY_URL`
    `static String` | `JWKS_URL`
    `static String` | `REALM_INFO_PATH`
    `static String` | `TOKEN_PATH`
    `static String` | `TOKEN_SERVICE_LOGOUT_PATH`

- - ### Field Detail

    - #### AUTH_PATH

          static final String AUTH_PATH

      See Also:
        Constant Field Values

    - #### TOKEN_PATH

          static final String TOKEN_PATH

      See Also:
        Constant Field Values

    - #### TOKEN_SERVICE_LOGOUT_PATH

          static final String TOKEN_SERVICE_LOGOUT_PATH

      See Also:
        Constant Field Values

    - #### ACCOUNT_SERVICE_PATH

          static final String ACCOUNT_SERVICE_PATH

      See Also:
        Constant Field Values

    - #### REALM_INFO_PATH

          static final String REALM_INFO_PATH

      See Also:
        Constant Field Values

    - #### CLIENTS_MANAGEMENT_REGISTER_NODE_PATH

          static final String CLIENTS_MANAGEMENT_REGISTER_NODE_PATH

      See Also:
        Constant Field Values

    - #### CLIENTS_MANAGEMENT_UNREGISTER_NODE_PATH

          static final String CLIENTS_MANAGEMENT_UNREGISTER_NODE_PATH

      See Also:
        Constant Field Values

    - #### JWKS_URL

          static final String JWKS_URL

      See Also:
        Constant Field Values

    - #### DISCOVERY_URL

          static final String DISCOVERY_URL

      See Also:
        Constant Field Values

    - #### AUTHZ_DISCOVERY_URL

          static final String AUTHZ_DISCOVERY_URL

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.